/**
 * <p>Description: Copyright © 2014-2015 CAIMEI365.com All Rights Reserved</p>
 * @author zhang
 * @date 2015年8月18日 下午4:42:31
 */
package com.caimei.module.base.entity.enumerate;

/**
 *
 * <p>Title: ClubStatus</p>
 * <p>Description: 机构状态</p>
 * <p>Company: caimei365</p>
 * @author zhang
 * @date 2015年8月18日 下午4:42:34
 */
public enum ClubStatus {

//	-20 陌生拜访注册
	WAIT_CHECK(1, "待审查资料"),
	COMPLETE_FIRST_PURCHASE(40, "已完成第一次采购"),
	ONLINE(90, "已上线"),
	FREEZE(91, "已冻结"),
	CHECK_FAIL(92, "审查资料未通过,待补充资料"),
	PHONE_INVITE(2, "电话预约"),
	HAVE_INVITE(3, "已预约"),

	@Deprecated
	WAIT_AGREE(20, "待确认"),
	@Deprecated
	WAIT_VISIT(21, "待拜访"),
	@Deprecated
	WAIT_STAFF_RECOMMEND(30, "待员工推荐");

	private int code;
	private String desc;

	public static boolean isOnline(Integer code) {
		return code != null && (code == COMPLETE_FIRST_PURCHASE.getCode() || code == ONLINE.getCode());
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	ClubStatus(int code, String desc) {
		this.code = code;
		this.desc = desc;
	}

}
