package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * product
 *
 * @author
 */
@Data
public class Product implements Serializable {
    private Integer productID;

    /**
     * 品牌Id
     */
    private Integer brandID;

    /**
     * 三级分类Id
     */
    private Integer tinyTypeID;

    /**
     * 常用商品001，精品推荐010，热门推荐100，三者同时存在111
     */
    private Integer preferredFlag;

    private Integer selfTypeID;

    /**
     * 所属供应商Id
     */
    private Integer shopID;

    /**
     * 名称
     */
    private String name;

    /**
     * 商品别名
     */
    private String aliasName;

    /**
     * 搜索关键词
     */
    private String searchKey;

    /**
     * 市场价
     */
    private Double normalPrice;

    private Double price;

    /**
     * 最低价
     */
    private Double highestUserLevelPrice;

    /**
     * 最高价
     */
    private Double lowestUserLevelPrice;

    /**
     * 最高价会员等级
     */
    private Integer lowestUserLevelID;

    private Double price0;

    /**
     * 普通用户价格等级(范围1-5)
     */
    private String price0Grade;

    /**
     * 普通用户价格文字
     */
    private String price0Text;

    /**
     * 普通用户文字展示标志 0显示价格 1显示文字 2显示等级
     */
    private String price0TextFlag;

    /**
     * 普通会员价
     */
    private Double price1;

    /**
     * 会员用户价格等级(范围1-5)
     */
    private String price1Grade;

    /**
     * 会员用户价格文字
     */
    private String price1Text;

    /**
     * 会员用户文字展示标志 0显示价格 1显示文字 2显示等级
     */
    private String price1TextFlag;

    /**
     * 游客价格
     */
    private Double price8;

    /**
     * 游客用户价格等级(范围1-5)
     */
    private String price8Grade;

    /**
     * 游客价格文字
     */
    private String price8Text;

    /**
     * 游客用户文字展示标志 0显示价格 1显示文字 2显示等级
     */
    private String price8TextFlag;

    /**
     * 启用阶梯价格标识 0否 1是
     */
    private String ladderPriceFlag;

    /**
     * 银卡价
     */
    private Double price2;

    /**
     * 金卡价
     */
    private Double price3;

    /**
     * 铂金价
     */
    private Double price4;

    /**
     * 钻石价
     */
    private Double price5;

    /**
     * 普通服务商价
     */
    private Double price6;

    /**
     * 金牌服务商价
     */
    private Double price7;

    /**
     * 运费
     */
    private Double fee;

    /**
     * 库存
     */
    private Integer stock;

    /**
     * 是否有sku：1有， 0没有
     */
    private String hasSkuFlag;

    /**
     * 主图
     */
    private String mainImage;

    /**
     * sku属性
     */
    private String propertiesInfo;

    /**
     * 添加时间
     */
    private String addTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 销量
     */
    private Integer sellNumber;

    private Integer weekSellNumber;

    private String beforeValidFlag;

    /**
     * 商品状态，见表c_productstatus或枚举ProductStatus，0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已冻结
     */
    private String validFlag;

    /**
     * 收藏量
     */
    private Integer favoriteTimes;

    /**
     * 评论分数
     */
    private Double commentScore;

    /**
     * 评论次数
     */
    private Integer commentTimes;

    private String selfRecommendFlag;

    private String sysRecommendFlag;

    /**
     * 排序值
     */
    private Integer sortIndex;

    /**
     * 供应商主推商品标志 0否 1是
     */
    private String featuredFlag;

    /**
     * 供应商主推商品排序
     */
    private Integer featuredSortIndex;

    /**
     * 商品货号
     */
    private String productCode;

    private Double rate1;

    private Double rate2;

    /**
     * 包装规格
     */
    private String unit;

    /**
     * 是否推送到ERP，1已推送， 空或0未推送
     */
    private String synToERPFlag;

    /**
     * 销售区域：1全部区域， 0指定区域
     */
    private String allAreaFlag;

    /**
     * 指定的销售区域
     */
    private String provinceIDs;

    /**
     * 服务起订量
     */
    private String serviceNumber;

    /**
     * 最大购买量
     */
    private Integer maxBuyNumber;

    private String virtualFlag;

    /**
     * 最小购买量
     */
    private Integer minBuyNumber;

    /**
     * 最小包装数量
     */
    private Integer packageCount;

    /**
     * 运费：0买家承担， 1卖家承担
     */
    private String byFlag;

    /**
     * 普通商品标志 1是
     */
    private Integer normalProductFlag;

    private Integer wholeSaleProductFlag;

    private Integer promotionProductFlag;

    private Integer groupBuyProductFlag;

    /**
     * 购买梯度数（编辑数量时加减的数量）
     */
    private Integer step;

    private String speCommisionFlag;

    private Double speCommision;

    private String videourl;

    private String props;

    private String providers;

    private Double serviceCommissionRatio;

    private Double reCommissionRatio;

    /**
     * 推送到ERP的原商品名称 name字段的名称可能做修改已适应平台的搜索
     */
    private String pushToERPName;

    private Integer prodBeans;

    /**
     * 该商品是否可以使用采美豆购买
     */
    private Integer useBeansFlag;

    /**
     * 0开放市场 1私有市场
     */
    private Integer privateFlag;

    private String invisibleServiceProviderIDs;

    private String displayOnCRMFlag;

    private String needServiceFlag;

    /**
     * 是否活动标识：1是，空或0不是[与actType搭配使用,仅用于标识非真正活动]
     */
    private Integer actFlag;

    /**
     * 商品是否处于活动状态：1是，空或0不是[活动商品和actFlag含义不同]
     */
    private Integer actStatus;

    /**
     * 活动商品排序
     */
    private Long actSort;

    /**
     * 普通用户活动价格
     */
    private BigDecimal actPrice0;

    /**
     * 普通会员活动价
     */
    private BigDecimal actPrice1;

    /**
     * 银卡会员活动价
     */
    private BigDecimal actPrice2;

    /**
     * 金卡会员活动价
     */
    private BigDecimal actPrice3;

    /**
     * 铂金会员活动价
     */
    private BigDecimal actPrice4;

    /**
     * 钻石会员活动价
     */
    private BigDecimal actPrice5;

    /**
     * 普通服务商活动价
     */
    private BigDecimal actPrice6;

    /**
     * 金牌服务商活动价
     */
    private BigDecimal actPrice7;

    /**
     * 商品活动类型：1推荐热销、2推荐上新、3团购促销
     */
    private Integer actType;

    /**
     * 活动创建时间
     */
    private Date actCreateTime;

    /**
     * 活动开始时间
     */
    private Date beginTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    private Integer shopIndexModuleID;

    /**
     * 上架时间
     */
    private Date onlineTime;

    /**
     * 下架时间
     */
    private Date downlineTime;

    /**
     * 是否包邮 0包邮 1不包邮
     */
    private String freePostFlag;

    /**
     * crm一级商品分类
     */
    private Integer crmBigTypeId;

    /**
     * crm二级商品分类
     */
    private Integer crmSmallTypeId;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 比例成本百分比
     */
    private BigDecimal costProportional;

    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private String costCheckFlag;

    private String precisehKey;

    private Double docBoost;

    /**
     * 是否采美豆专区商品(0 否,1 是)
     */
    private String cmbeanFlag;

    /**
     * 采美豆专区价格(采美豆)
     */
    private Integer cmbeanPrice;

    /**
     * 采美豆专区排序(值越大越前)
     */
    private Short cmbeanSort;

    private Integer actBuyGiftNum;

    private Double actFullGiftAmount;

    private Double actFullReduceAmount;

    private Double actReduceAmount;

    /**
     * （3:高可见度，2：中可见度,1：低可见度）
     */
    private String visibility;

    private String surplusTime;

    private String priceType;

    /**
     * 商品标签 用逗号隔开
     */
    private String tags;

    /**
     * 相关推荐类型 0自动选择; 1手动推荐
     */
    private String recommendType;

    /**
     * 械字号   0或Null:不是,1：一类，2：二类，3：三类
     */
    private String machineType;

    private static final long serialVersionUID = 1L;
}
